# Enum TGetOperationStatusResp._Fields

java.lang.Object
java.lang.Enum<TGetOperationStatusResp._Fields>
com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusResp._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetOperationStatusResp._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TGetOperationStatusResp`

public static enum TGetOperationStatusResp._Fields extends Enum<TGetOperationStatusResp._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIAGNOSTIC_INFO`
`DISPLAY_MESSAGE`
`ERROR_CODE`
`ERROR_DETAILS_JSON`
`ERROR_MESSAGE`
`HAS_RESULT_SET`
`NUM_MODIFIED_ROWS`
`OPERATION_COMPLETED`
`OPERATION_STARTED`
`OPERATION_STATE`
`PROGRESS_UPDATE_RESPONSE`
`SQL_STATE`
`STATUS`
`TASK_STATUS`

## Method Summary

Modifier and Type
Method
Description
`static TGetOperationStatusResp._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetOperationStatusResp._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetOperationStatusResp._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TGetOperationStatusResp._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetOperationStatusResp._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS

public static final TGetOperationStatusResp._Fields STATUS

### OPERATION_STATE

public static final TGetOperationStatusResp._Fields OPERATION_STATE

See Also:
  - `TOperationState`

### SQL_STATE

public static final TGetOperationStatusResp._Fields SQL_STATE

### ERROR_CODE

public static final TGetOperationStatusResp._Fields ERROR_CODE

### ERROR_MESSAGE

public static final TGetOperationStatusResp._Fields ERROR_MESSAGE

### TASK_STATUS

public static final TGetOperationStatusResp._Fields TASK_STATUS

### OPERATION_STARTED

public static final TGetOperationStatusResp._Fields OPERATION_STARTED

### OPERATION_COMPLETED

public static final TGetOperationStatusResp._Fields OPERATION_COMPLETED

### HAS_RESULT_SET

public static final TGetOperationStatusResp._Fields HAS_RESULT_SET

### PROGRESS_UPDATE_RESPONSE

public static final TGetOperationStatusResp._Fields PROGRESS_UPDATE_RESPONSE

### NUM_MODIFIED_ROWS

public static final TGetOperationStatusResp._Fields NUM_MODIFIED_ROWS

### DISPLAY_MESSAGE

public static final TGetOperationStatusResp._Fields DISPLAY_MESSAGE

### DIAGNOSTIC_INFO

public static final TGetOperationStatusResp._Fields DIAGNOSTIC_INFO

### ERROR_DETAILS_JSON

public static final TGetOperationStatusResp._Fields ERROR_DETAILS_JSON

## Method Details

### values

public static TGetOperationStatusResp._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TGetOperationStatusResp._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TGetOperationStatusResp._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TGetOperationStatusResp._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TGetOperationStatusResp._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`